Bug 15950 - state pane needs to check for singular value
state pane needs to check for singular value
Product: Red Hat Web Site
Classification: Red Hat
Component: Join_Process (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Martin C. Messer
Paul Lindner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-08-10 16:46 EDT by Paul Lindner
Modified: 2007-03-26 23:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-22 13:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Lindner 2000-08-10 16:46:26 EDT
a weird error in   /apps/activate/newlogin.html  

Errors Output

 error executing code for include /home/httpd/apps/panes/join/callback.apm:
SQL chunk: INSERT INTO web_user_site_info (id,
web_user_id,address1,            address1_ol, address2, address2_ol,
alt_first_names, alt_first_names_ol,        alt_last_name,
alt_last_name_ol, city, city_ol, country, email, fax, is_po_box, phone,
state, state_ol, type, zip, zip_ol) VALUES                              
Error: Can't bind a reference (ARRAY(0x9b092ac))
at                             /home/httpd/lib/WebUser/Sites.pm 
line 243
Comment 1 Tom Lancaster 2001-04-25 15:14:35 EDT
I'm downgrading this to a feature request, on the grounds that this is in no way
the fault of the state pane - all it does is produce an html element which is
not supposed to allow multiple selections. If anything, this is a browser bug,
or a malicious user.
It could be argued that an we could error out more gracefully if this happens.
I'm changing the summary to reflect that.
Comment 2 Jay Turner 2001-05-14 17:29:21 EDT
I see no way that a user can select multiple states from this selection list. 
Cleaning up this error condition is definitely low priority.

Note You need to log in before you can comment on or make changes to this bug.